Subject: bug#8395: ASLR Issue?

From: Bob Halley <[email-masked]>
Date: Mon, 11 Jul 2011 07:11:59 -0700

On 10 Jul 2011, at 17:13, YAMAMOTO Mitsuharu wrote:

> 
> Thanks again.  If the change I posted turns out to work with X11 or
> tty-only builds, I'll commit it.  Of course, if Lion is released
> early, I'll try those builds myself.

I downloaded the Emacs 23.3 tarball, and added the __got fix to unexmacosx.c.

I then built and verified that without your patch the build fails.

I then applied your patch to src/s/darwin.h.

I did 3 builds starting from a "make distclean" state: a tty-only build, an X11 build, and a cocoa build.  I verified with otool that the PIE attribute was not present on any of the emacs executables.

The build worked fine both as a tty-only build and as an X11 build.  The cocoa build runs, but the window it makes has no title bar and is badly positioned (the top line or so is cut off by the menu bar).

/Bob